import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'opinion' },
})
export class Opinion extends BaseModel {
  @prop({ required: false, index: false, zh: '用户id' })
  student: string;
  @prop({ required: false, index: false, zh: '问题类型' })
  type: string;
  @prop({ required: false, index: false, zh: '问题描述' })
  brief: string;
  @prop({ required: false, index: false, zh: '图片' })
  file: Array<any>;
}
