import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'student' },
})
export class Student extends BaseModel {
  @prop({ required: false, index: true, zh: '微信唯一标书' })
  openid: string;
  @prop({ required: false, index: false, zh: '头像' })
  icon: Array<any>;
  @prop({ required: false, index: true, zh: '昵称' })
  nick_name: string;
  @prop({ required: false, index: true, zh: '性别' })
  gender: string;
  @prop({ required: false, index: true, zh: '手机号' })
  phone: string;
  @prop({ required: false, index: true, zh: '年龄' })
  age: string;
  @prop({ required: false, index: true, zh: '年级' })
  grade: string;
  @prop({ required: false, index: false, zh: '角色' })
  role: string;
  @prop({ required: false, index: false, zh: '家庭地址' })
  address: string;
  @prop({ required: false, index: true, zh: '状态' })
  status: string;
}
