import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'course' },
})
export class Course extends BaseModel {
  @prop({ required: false, index: true, zh: '老师id' })
  teacher: string;
  @prop({ required: false, index: false, zh: '金额' })
  money: number;
  @prop({ required: false, index: false, zh: '开始时间' })
  start_time: string;
  @prop({ required: false, index: false, zh: '结束时间' })
  end_time: string;
  @prop({ required: false, index: false, zh: '简介' })
  brief: string;
  @prop({ required: false, index: false, zh: '状态' })
  status: string;
}
