import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'teacher' },
})
export class Teacher extends BaseModel {
  @prop({ required: false, index: true, zh: '微信唯一标识' })
  openid: string;
  @prop({ required: false, index: false, zh: '头像' })
  icon: Array<any>;
  @prop({ required: false, index: true, zh: '昵称' })
  nick_name: string;
  @prop({ required: false, index: true, zh: '性别' })
  gender: string;
  @prop({ required: false, index: true, zh: '年龄' })
  age: string;
  @prop({ required: false, index: true, zh: '手机号' })
  phone: string;
  @prop({ required: false, index: true, zh: '所教年级' })
  grade: string;
  @prop({ required: false, index: false, zh: '身份证类型' })
  cardType: string;
  @prop({ required: false, index: true, zh: '身份证号码' })
  card: string;
  @prop({ required: false, index: false, zh: '任课年限' })
  years: string;
  @prop({ required: false, index: true, zh: '学历' })
  education: string;
  @prop({ required: false, index: false, zh: '学科' })
  subject: string;
  @prop({ required: false, index: true, zh: '院校' })
  college: string;
  @prop({ required: false, index: true, zh: '学业状态' })
  learnStatus: string;
  @prop({ required: false, index: true, zh: '简介' })
  brief: string;
  @prop({ required: false, index: false, zh: '角色' })
  role: string;
  @prop({ required: false, index: true, zh: '状态' })
  status: string;
}
