import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Course } from '../../entity/core/course.entity';
type modelType = ReturnModelType<typeof Course>;
@Provide()
export class CourseService extends BaseService<modelType> {
  @InjectEntityModel(Course)
  model: modelType;
}
